#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/postinstall-udev.sh - udev installation
#
# Creation   :  2016-02-23 holbru
# Last update:  $Id: postinstall-udev.sh 43393 2016-09-18 15:52:48Z hbfl $
#
# Copyright (c) 2016-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=udev


# ---------------------------------------------------------------------------
# update-2.7.7
# ---------------------------------------------------------------------------
update_2_7_7()
{
    # -----------------------------------------------------------------------
    # added to fstab
    # -----------------------------------------------------------------------

    sed -i '/ \/dev /d' /etc/fstab

    echo 'devtmpfs    /dev           devtmpfs  mode=0755,nosuid         0 0' >>/etc/fstab

    rm -f /etc/filelist.d/udev-files.txt
    rm -f /var/install/packages/eudev
    rm -f /var/install/packages/udev

    udev_inst=$(eisman check udev)

    if [ "${udev_inst}" = "installed" ]
    then
        eisman uninstall --auto --force udev
    fi
}
# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
